pappso::BasePlotContext Class Reference

`#include <baseplotcontext.h>`

Inheritance diagram for pappso::BasePlotContext:

## Public Member Functions

| BasePlotContext ()
| BasePlotContext (const BasePlotContext &other)
virtual | ~BasePlotContext ()
BasePlotContext & | operator= (const BasePlotContext &other)
DragDirections | recordDragDirections ()
QString | toString () const

## Public Attributes

DataKind | m_dataKind = DataKind::unset
bool | m_isMouseDragging = false
bool | m_wasMouseDragging = false
bool | m_isKeyBoardDragging = false
bool | m_isLeftPseudoButtonKeyPressed = false
bool | m_isRightPseudoButtonKeyPressed = false
bool | m_wassKeyBoardDragging = false
QPointF | m_startDragPoint
QPointF | m_currentDragPoint
QPointF | m_lastCursorHoveredPoint
DragDirections | m_dragDirections = DragDirections::NOT_SET
SelectionPolygon | m_selectionPolygon
double | m_selectRectangleWidth = 0
QCPRange | m_xRange
QCPRange | m_yRange
bool | m_wasClickOnXAxis = false
bool | m_wasClickOnYAxis = false
bool | m_isMeasuringDistance = false
double | m_xRegionRangeStart = std::numeric_limits<double>::min()
double | m_xRegionRangeEnd = std::numeric_limits<double>::min()
double | m_yRegionRangeStart = std::numeric_limits<double>::min()
double | m_yRegionRangeEnd = std::numeric_limits<double>::min()
double | m_xDelta = 0
double | m_yDelta = 0
int | m_pressedKeyCode
int | m_releasedKeyCode
Qt::KeyboardModifiers | m_keyboardModifiers
Qt::MouseButtons | m_lastPressedMouseButton
Qt::MouseButtons | m_lastReleasedMouseButton
Qt::MouseButtons | m_pressedMouseButtons
Qt::MouseButtons | m_mouseButtonsAtMousePress
Qt::MouseButtons | m_mouseButtonsAtMouseRelease

## Detailed Description

Definition at line 35 of file baseplotcontext.h.

## Constructor & Destructor Documentation

## BasePlotContext() [1/2]

pappso::BasePlotContext::BasePlotContext | ( |  | ) |

Definition at line 9 of file baseplotcontext.cpp.

{
}

## BasePlotContext() [2/2]

pappso::BasePlotContext::BasePlotContext | ( | const BasePlotContext & | other | ) |

Definition at line 14 of file baseplotcontext.cpp.

{
m_dataKind = other.m_dataKind;
m_isMouseDragging = other.m_isMouseDragging;
m_wasMouseDragging = other.m_wasMouseDragging;
m_isKeyBoardDragging = other.m_isKeyBoardDragging;
m_isLeftPseudoButtonKeyPressed = other.m_isLeftPseudoButtonKeyPressed;
m_isRightPseudoButtonKeyPressed = other.m_isRightPseudoButtonKeyPressed;
m_wassKeyBoardDragging = other.m_wassKeyBoardDragging;
m_startDragPoint = other.m_startDragPoint;
m_currentDragPoint = other.m_currentDragPoint;
m_lastCursorHoveredPoint = other.m_lastCursorHoveredPoint;
m_selectionPolygon = other.m_selectionPolygon;
m_selectRectangleWidth = other.m_selectRectangleWidth;
// The effective range of the axes.
m_xRange = other.m_xRange;
m_yRange = other.m_yRange;
// Tell if the mouse move was started onto either axis, because that will
// condition if some calculations needs to be performed or not (for example,
// if the mouse cursor motion was started on an axis, there is no point to
// perform deconvolutions).
m_wasClickOnXAxis = other.m_wasClickOnXAxis;
m_wasClickOnYAxis = other.m_wasClickOnYAxis;
m_isMeasuringDistance = other.m_isMeasuringDistance;
// The user-selected region over the plot.
// Note that we cannot use QCPRange structures because these are normalized by
// QCustomPlot in such a manner that lower is actually < upper. But we need
// for a number of our calculations (specifically for the deconvolutions) to
// actually have the lower value be start drag point.x even if the drag
// direction was from right to left.
m_xRegionRangeStart = other.m_xRegionRangeStart;
m_xRegionRangeEnd = other.m_xRegionRangeEnd;
m_yRegionRangeStart = other.m_yRegionRangeStart;
m_yRegionRangeEnd = other.m_yRegionRangeEnd;
m_xDelta = other.m_xDelta;
m_yDelta = other.m_yDelta;
m_pressedKeyCode = other.m_pressedKeyCode;
m_releasedKeyCode = other.m_releasedKeyCode;
m_keyboardModifiers = other.m_keyboardModifiers;
m_lastPressedMouseButton = other.m_lastPressedMouseButton;
m_lastReleasedMouseButton = other.m_lastReleasedMouseButton;
m_pressedMouseButtons = other.m_pressedMouseButtons;
m_mouseButtonsAtMousePress = other.m_mouseButtonsAtMousePress;
m_mouseButtonsAtMouseRelease = other.m_mouseButtonsAtMouseRelease;
}
pappso::BasePlotContext::m_xRegionRangeStart
double m_xRegionRangeStart
Definition: baseplotcontext.h:81
pappso::BasePlotContext::m_startDragPoint
QPointF m_startDragPoint
Definition: baseplotcontext.h:54
pappso::BasePlotContext::m_xDelta
double m_xDelta
Definition: baseplotcontext.h:87
pappso::BasePlotContext::m_mouseButtonsAtMousePress
Qt::MouseButtons m_mouseButtonsAtMousePress
Definition: baseplotcontext.h:100
pappso::BasePlotContext::m_selectionPolygon
SelectionPolygon m_selectionPolygon
Definition: baseplotcontext.h:59
pappso::BasePlotContext::m_wasClickOnXAxis
bool m_wasClickOnXAxis
Definition: baseplotcontext.h:70
pappso::BasePlotContext::m_keyboardModifiers
Qt::KeyboardModifiers m_keyboardModifiers
Definition: baseplotcontext.h:93
pappso::BasePlotContext::m_pressedKeyCode
int m_pressedKeyCode
Definition: baseplotcontext.h:90
pappso::BasePlotContext::m_lastPressedMouseButton
Qt::MouseButtons m_lastPressedMouseButton
Definition: baseplotcontext.h:95
pappso::BasePlotContext::m_isMouseDragging
bool m_isMouseDragging
Definition: baseplotcontext.h:46
pappso::BasePlotContext::m_xRange
QCPRange m_xRange
Definition: baseplotcontext.h:63
pappso::BasePlotContext::m_isMeasuringDistance
bool m_isMeasuringDistance
Definition: baseplotcontext.h:73
pappso::BasePlotContext::m_lastCursorHoveredPoint
QPointF m_lastCursorHoveredPoint
Definition: baseplotcontext.h:56
pappso::BasePlotContext::m_currentDragPoint
QPointF m_currentDragPoint
Definition: baseplotcontext.h:55
pappso::BasePlotContext::m_yDelta
double m_yDelta
Definition: baseplotcontext.h:88
pappso::BasePlotContext::m_yRegionRangeStart
double m_yRegionRangeStart
Definition: baseplotcontext.h:84
pappso::BasePlotContext::m_isRightPseudoButtonKeyPressed
bool m_isRightPseudoButtonKeyPressed
Definition: baseplotcontext.h:51
pappso::BasePlotContext::m_pressedMouseButtons
Qt::MouseButtons m_pressedMouseButtons
Definition: baseplotcontext.h:98
pappso::BasePlotContext::m_yRange
QCPRange m_yRange
Definition: baseplotcontext.h:64
pappso::BasePlotContext::m_mouseButtonsAtMouseRelease
Qt::MouseButtons m_mouseButtonsAtMouseRelease
Definition: baseplotcontext.h:101
pappso::BasePlotContext::m_releasedKeyCode
int m_releasedKeyCode
Definition: baseplotcontext.h:91
pappso::BasePlotContext::m_isLeftPseudoButtonKeyPressed
bool m_isLeftPseudoButtonKeyPressed
Definition: baseplotcontext.h:50
pappso::BasePlotContext::m_dataKind
DataKind m_dataKind
Definition: baseplotcontext.h:44
pappso::BasePlotContext::m_lastReleasedMouseButton
Qt::MouseButtons m_lastReleasedMouseButton
Definition: baseplotcontext.h:96
pappso::BasePlotContext::m_wasMouseDragging
bool m_wasMouseDragging
Definition: baseplotcontext.h:47
pappso::BasePlotContext::m_wassKeyBoardDragging
bool m_wassKeyBoardDragging
Definition: baseplotcontext.h:52
pappso::BasePlotContext::m_yRegionRangeEnd
double m_yRegionRangeEnd
Definition: baseplotcontext.h:85
pappso::BasePlotContext::m_xRegionRangeEnd
double m_xRegionRangeEnd
Definition: baseplotcontext.h:82
pappso::BasePlotContext::m_selectRectangleWidth
double m_selectRectangleWidth
Definition: baseplotcontext.h:60
pappso::BasePlotContext::m_wasClickOnYAxis
bool m_wasClickOnYAxis
Definition: baseplotcontext.h:71
pappso::BasePlotContext::m_isKeyBoardDragging
bool m_isKeyBoardDragging
Definition: baseplotcontext.h:49

References m_currentDragPoint, m_dataKind, m_isKeyBoardDragging, m_isLeftPseudoButtonKeyPressed, m_isMeasuringDistance, m_isMouseDragging, m_isRightPseudoButtonKeyPressed, m_keyboardModifiers, m_lastCursorHoveredPoint, m_lastPressedMouseButton, m_lastReleasedMouseButton, m_mouseButtonsAtMousePress, m_mouseButtonsAtMouseRelease, m_pressedKeyCode, m_pressedMouseButtons, m_releasedKeyCode, m_selectionPolygon, m_selectRectangleWidth, m_startDragPoint, m_wasClickOnXAxis, m_wasClickOnYAxis, m_wasMouseDragging, m_wassKeyBoardDragging, m_xDelta, m_xRange, m_xRegionRangeEnd, m_xRegionRangeStart, m_yDelta, m_yRange, m_yRegionRangeEnd, and m_yRegionRangeStart.

## ~BasePlotContext()

pappso::BasePlotContext::~BasePlotContext | ( |  | ) |

virtual

Definition at line 144 of file baseplotcontext.cpp.

{
}

## Member Function Documentation

## operator=()

BasePlotContext & pappso::BasePlotContext::operator= | ( | const BasePlotContext & | other | ) |

Definition at line 77 of file baseplotcontext.cpp.

{
if(this == &other)
return *this;
m_dataKind = other.m_dataKind;
m_isMouseDragging = other.m_isMouseDragging;
m_wasMouseDragging = other.m_wasMouseDragging;
m_isKeyBoardDragging = other.m_isKeyBoardDragging;
m_isLeftPseudoButtonKeyPressed = other.m_isLeftPseudoButtonKeyPressed;
m_isRightPseudoButtonKeyPressed = other.m_isRightPseudoButtonKeyPressed;
m_wassKeyBoardDragging = other.m_wassKeyBoardDragging;
m_startDragPoint = other.m_startDragPoint;
m_currentDragPoint = other.m_currentDragPoint;
m_lastCursorHoveredPoint = other.m_lastCursorHoveredPoint;
m_selectionPolygon = other.m_selectionPolygon;
m_selectRectangleWidth = other.m_selectRectangleWidth;
// The effective range of the axes.
m_xRange = other.m_xRange;
m_yRange = other.m_yRange;
// Tell if the mouse move was started onto either axis, because that will
// condition if some calculations needs to be performed or not (for example,
// if the mouse cursor motion was started on an axis, there is no point to
// perform deconvolutions).
m_wasClickOnXAxis = other.m_wasClickOnXAxis;
m_wasClickOnYAxis = other.m_wasClickOnYAxis;
m_isMeasuringDistance = other.m_isMeasuringDistance;
// The user-selected region over the plot.
// Note that we cannot use QCPRange structures because these are normalized by
// QCustomPlot in such a manner that lower is actually < upper. But we need
// for a number of our calculations (specifically for the deconvolutions) to
// actually have the lower value be start drag point.x even if the drag
// direction was from right to left.
m_xRegionRangeStart = other.m_xRegionRangeStart;
m_xRegionRangeEnd = other.m_xRegionRangeEnd;
m_yRegionRangeStart = other.m_yRegionRangeStart;
m_yRegionRangeEnd = other.m_yRegionRangeEnd;
m_xDelta = other.m_xDelta;
m_yDelta = other.m_yDelta;
m_pressedKeyCode = other.m_pressedKeyCode;
m_releasedKeyCode = other.m_releasedKeyCode;
m_keyboardModifiers = other.m_keyboardModifiers;
m_lastPressedMouseButton = other.m_lastPressedMouseButton;
m_lastReleasedMouseButton = other.m_lastReleasedMouseButton;
m_pressedMouseButtons = other.m_pressedMouseButtons;
m_mouseButtonsAtMousePress = other.m_mouseButtonsAtMousePress;
m_mouseButtonsAtMouseRelease = other.m_mouseButtonsAtMouseRelease;
return *this;
}

References m_currentDragPoint, m_dataKind, m_isKeyBoardDragging, m_isLeftPseudoButtonKeyPressed, m_isMeasuringDistance, m_isMouseDragging, m_isRightPseudoButtonKeyPressed, m_keyboardModifiers, m_lastCursorHoveredPoint, m_lastPressedMouseButton, m_lastReleasedMouseButton, m_mouseButtonsAtMousePress, m_mouseButtonsAtMouseRelease, m_pressedKeyCode, m_pressedMouseButtons, m_releasedKeyCode, m_selectionPolygon, m_selectRectangleWidth, m_startDragPoint, m_wasClickOnXAxis, m_wasClickOnYAxis, m_wasMouseDragging, m_wassKeyBoardDragging, m_xDelta, m_xRange, m_xRegionRangeEnd, m_xRegionRangeStart, m_yDelta, m_yRange, m_yRegionRangeEnd, and m_yRegionRangeStart.

## recordDragDirections()

DragDirections pappso::BasePlotContext::recordDragDirections | ( |  | ) |

Definition at line 150 of file baseplotcontext.cpp.

{
int drag_directions = static_cast<int>(DragDirections::NOT_SET);
if(m_currentDragPoint.x() > m_startDragPoint.x())
drag_directions |= static_cast<int>(DragDirections::LEFT_TO_RIGHT);
else
drag_directions |= static_cast<int>(DragDirections::RIGHT_TO_LEFT);
if(m_currentDragPoint.y() > m_startDragPoint.y())
drag_directions |= static_cast<int>(DragDirections::BOTTOM_TO_TOP);
else
drag_directions |= static_cast<int>(DragDirections::TOP_TO_BOTTOM);
//qDebug() << "DragDirections:" << drag_directions;
m_dragDirections = static_cast<DragDirections>(drag_directions);
return static_cast<DragDirections>(drag_directions);
}
pappso::BasePlotContext::m_dragDirections
DragDirections m_dragDirections
Definition: baseplotcontext.h:57
pappso::DragDirections
DragDirections
Definition: baseplotcontext.h:26
pappso::DragDirections::RIGHT_TO_LEFT
@ RIGHT_TO_LEFT
pappso::DragDirections::NOT_SET
@ NOT_SET
pappso::DragDirections::LEFT_TO_RIGHT
@ LEFT_TO_RIGHT
pappso::DragDirections::BOTTOM_TO_TOP
@ BOTTOM_TO_TOP
pappso::DragDirections::TOP_TO_BOTTOM
@ TOP_TO_BOTTOM

References pappso::BOTTOM_TO_TOP, pappso::LEFT_TO_RIGHT, m_currentDragPoint, m_dragDirections, m_startDragPoint, pappso::NOT_SET, pappso::RIGHT_TO_LEFT, and pappso::TOP_TO_BOTTOM.

Referenced by pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor().

## toString()

QString pappso::BasePlotContext::toString | ( |  | ) | const

Definition at line 173 of file baseplotcontext.cpp.

{
QString text("Context:");
text += QString("data kind: %1").arg(static_cast<int>(m_dataKind));
text += QString(" isMouseDragging: %1 -- wasMouseDragging: %2")
.arg(m_isMouseDragging ? "true" : "false")
.arg(m_wasMouseDragging ? "true" : "false");
text += QString(" -- startDragPoint : (%1, %2)")
.arg(m_startDragPoint.x())
.arg(m_startDragPoint.y());
text += QString(" -- currentDragPoint : (%1, %2)")
.arg(m_currentDragPoint.x())
.arg(m_currentDragPoint.y());
text += QString(" -- lastCursorHoveredPoint : (%1, %2)")
.arg(m_lastCursorHoveredPoint.x())
.arg(m_lastCursorHoveredPoint.y());
// Document how the mouse cursor is being dragged.
if(m_isMouseDragging)
{
if(static_cast<int>(m_dragDirections) & static_cast<int>(DragDirections::LEFT_TO_RIGHT))
text += " -- dragging from left to right";
else if(static_cast<int>(m_dragDirections) & static_cast<int>(DragDirections::RIGHT_TO_LEFT))
text += " -- dragging from right to left";
if(static_cast<int>(m_dragDirections) & static_cast<int>(DragDirections::TOP_TO_BOTTOM))
text += " -- dragging from top to bottom";
if(static_cast<int>(m_dragDirections) & static_cast<int>(DragDirections::BOTTOM_TO_TOP))
text += " -- dragging from bottom to top";
}
// The selection polygon.
text += m_selectionPolygon.toString();
text +=
QString(" -- xRange: (%1, %2)").arg(m_xRange.lower).arg(m_xRange.upper);
text +=
QString(" -- yRange: (%1, %2)").arg(m_yRange.lower).arg(m_yRange.upper);
text += QString(" -- wasClickOnXAxis: %1")
.arg(m_wasClickOnXAxis ? "true" : "false");
text += QString(" -- wasClickOnYAxis: %1")
.arg(m_wasClickOnYAxis ? "true" : "false");
text += QString(" -- isMeasuringDistance: %1")
.arg(m_isMeasuringDistance ? "true" : "false");
text += QString(" -- xRegionRangeStart: %1 -- xRegionRangeEnd: %2")
.arg(m_xRegionRangeStart)
.arg(m_xRegionRangeEnd);
text += QString(" -- yRegionRangeStart: %1 -- yRegionRangeEnd: %2")
.arg(m_yRegionRangeStart)
.arg(m_yRegionRangeEnd);
text += QString(" -- xDelta: %1 -- yDelta: %2").arg(m_xDelta).arg(m_yDelta);
text += QString(" -- pressedKeyCode: %1").arg(m_pressedKeyCode);
text += QString(" -- keyboardModifiers: %1").arg(m_keyboardModifiers);
text +=
QString(" -- lastPressedMouseButton: %1").arg(m_lastPressedMouseButton);
text +=
QString(" -- lastReleasedMouseButton: %1").arg(m_lastReleasedMouseButton);
text += QString(" -- pressedMouseButtons: %1").arg(m_pressedMouseButtons);
text +=
QString(" -- mouseButtonsAtMousePress: %1").arg(m_mouseButtonsAtMousePress);
text += QString(" -- mouseButtonsAtMouseRelease: %1")
.arg(m_mouseButtonsAtMouseRelease);
return text;
}
pappso::SelectionPolygon::toString
QString toString() const
Definition: selectionpolygon.cpp:729

References pappso::BOTTOM_TO_TOP, pappso::LEFT_TO_RIGHT, m_currentDragPoint, m_dataKind, m_dragDirections, m_isMeasuringDistance, m_isMouseDragging, m_keyboardModifiers, m_lastCursorHoveredPoint, m_lastPressedMouseButton, m_lastReleasedMouseButton, m_mouseButtonsAtMousePress, m_mouseButtonsAtMouseRelease, m_pressedKeyCode, m_pressedMouseButtons, m_selectionPolygon, m_startDragPoint, m_wasClickOnXAxis, m_wasClickOnYAxis, m_wasMouseDragging, m_xDelta, m_xRange, m_xRegionRangeEnd, m_xRegionRangeStart, m_yDelta, m_yRange, m_yRegionRangeEnd, m_yRegionRangeStart, pappso::RIGHT_TO_LEFT, pappso::TOP_TO_BOTTOM, and pappso::SelectionPolygon::toString().

Referenced by pappso::MassSpecTracePlotContext::toString().

## Member Data Documentation

## m_currentDragPoint

QPointF pappso::BasePlotContext::m_currentDragPoint

Definition at line 55 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisRescale(), pappso::BaseTracePlotWidget::axisRescale(), pappso::BasePlotWidget::calculateDragDeltas(), pappso::BasePlotWidget::dragDirection(), pappso::BasePlotWidget::drawXDeltaFeatures(), pappso::BasePlotWidget::isVerticalDisplacementAboveThreshold(), pappso::MassSpecTracePlotWidget::keyPressEvent(), pappso::BasePlotWidget::keyReleaseEvent(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseReleaseHandlerRightButton(), operator=(), recordDragDirections(), toString(), pappso::BasePlotWidget::update1DSelectionRectangle(), pappso::BasePlotWidget::update2DSelectionRectangleSkewed(), and pappso::BasePlotWidget::update2DSelectionRectangleSquare().

## m_dataKind

DataKind pappso::BasePlotContext::m_dataKind = DataKind::unset

Definition at line 44 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::DriftSpecTracePlotWidget::DriftSpecTracePlotWidget(), pappso::MassSpecTracePlotWidget::MassSpecTracePlotWidget(), pappso::TicXicChromTracePlotWidget::TicXicChromTracePlotWidget(), operator=(), and toString().

## m_dragDirections

DragDirections pappso::BasePlotContext::m_dragDirections = DragDirections::NOT_SET

Definition at line 57 of file baseplotcontext.h.

Referenced by pappso::BasePlotWidget::drawXDeltaFeatures(), recordDragDirections(), and toString().

## m_isKeyBoardDragging

bool pappso::BasePlotContext::m_isKeyBoardDragging = false

Definition at line 49 of file baseplotcontext.h.

Referenced by BasePlotContext(), and operator=().

## m_isLeftPseudoButtonKeyPressed

bool pappso::BasePlotContext::m_isLeftPseudoButtonKeyPressed = false

Definition at line 50 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mousePseudoButtonKeyReleaseEvent(), and operator=().

## m_isMeasuringDistance

bool pappso::BasePlotContext::m_isMeasuringDistance = false

Definition at line 73 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::drawSelectionRectangleAndPrepareZoom(), pappso::BasePlotWidget::drawXDeltaFeatures(), pappso::BasePlotWidget::drawYDeltaFeatures(), pappso::MassSpecTracePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerLeftButtonDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerRightButtonDraggingCursor(), operator=(), and toString().

## m_isMouseDragging

bool pappso::BasePlotContext::m_isMouseDragging = false

Definition at line 46 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerNotDraggingCursor(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), and toString().

## m_isRightPseudoButtonKeyPressed

bool pappso::BasePlotContext::m_isRightPseudoButtonKeyPressed = false

Definition at line 51 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mousePseudoButtonKeyReleaseEvent(), and operator=().

## m_keyboardModifiers

Qt::KeyboardModifiers pappso::BasePlotContext::m_keyboardModifiers

Definition at line 93 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisDoubleClickHandler(), pappso::BaseTracePlotWidget::axisDoubleClickHandler(), pappso::BaseTracePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisReframe(), pappso::BaseTracePlotWidget::axisRescale(), pappso::BaseTracePlotWidget::axisZoom(), pappso::BasePlotWidget::directionKeyPressEvent(), pappso::BasePlotWidget::keyPressEvent(), pappso::BasePlotWidget::keyReleaseEvent(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerLeftButtonDraggingCursor(), pappso::BasePlotWidget::mousePseudoButtonKeyReleaseEvent(), pappso::BasePlotWidget::mouseReleaseHandler(), pappso::BasePlotWidget::mouseReleaseHandlerLeftButton(), operator=(), toString(), and pappso::BasePlotWidget::updateSelectionRectangle().

## m_lastCursorHoveredPoint

QPointF pappso::BasePlotContext::m_lastCursorHoveredPoint

Definition at line 56 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::horizontalGetGraphCoordNewPointCountPixels(), pappso::BasePlotWidget::mouseMoveHandler(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerNotDraggingCursor(), pappso::BasePlotWidget::mousePressHandler(), pappso::BasePlotWidget::mousePseudoButtonKeyReleaseEvent(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), toString(), and pappso::BasePlotWidget::verticalGetGraphCoordNewPointCountPixels().

## m_lastPressedMouseButton

Qt::MouseButtons pappso::BasePlotContext::m_lastPressedMouseButton

Definition at line 95 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mousePressHandler(), operator=(), and toString().

## m_lastReleasedMouseButton

Qt::MouseButtons pappso::BasePlotContext::m_lastReleasedMouseButton

Definition at line 96 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), and toString().

## m_mouseButtonsAtMousePress

Qt::MouseButtons pappso::BasePlotContext::m_mouseButtonsAtMousePress

Definition at line 100 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::MassSpecTracePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mousePressHandler(), operator=(), and toString().

## m_mouseButtonsAtMouseRelease

Qt::MouseButtons pappso::BasePlotContext::m_mouseButtonsAtMouseRelease

Definition at line 101 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), and toString().

## m_pressedKeyCode

int pappso::BasePlotContext::m_pressedKeyCode

Definition at line 90 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::keyPressEvent(), pappso::BasePlotWidget::keyReleaseEvent(), pappso::BasePlotWidget::mouseMoveHandlerLeftButtonDraggingCursor(), operator=(), and toString().

## m_pressedMouseButtons

Qt::MouseButtons pappso::BasePlotContext::m_pressedMouseButtons

Definition at line 98 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisDoubleClickHandler(), pappso::BaseTracePlotWidget::axisDoubleClickHandler(), pappso::BasePlotWidget::mouseMoveHandler(), pappso::BasePlotWidget::mousePressHandler(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), and toString().

## m_releasedKeyCode

int pappso::BasePlotContext::m_releasedKeyCode

Definition at line 91 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::keyReleaseEvent(), and operator=().

## m_selectionPolygon

SelectionPolygon pappso::BasePlotContext::m_selectionPolygon

Definition at line 59 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::drawXDeltaFeatures(), pappso::BasePlotWidget::drawYDeltaFeatures(), operator=(), pappso::BasePlotWidget::resetSelectionRectangle(), toString(), pappso::BasePlotWidget::update1DSelectionRectangle(), pappso::BasePlotWidget::update2DSelectionRectangleSkewed(), pappso::BasePlotWidget::update2DSelectionRectangleSquare(), and pappso::BasePlotWidget::updateSelectionRectangle().

## m_selectRectangleWidth

double pappso::BasePlotContext::m_selectRectangleWidth = 0

Definition at line 60 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::keyReleaseEvent(), operator=(), and pappso::BasePlotWidget::update2DSelectionRectangleSkewed().

## m_startDragPoint

QPointF pappso::BasePlotContext::m_startDragPoint

Definition at line 54 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisRescale(), pappso::BaseTracePlotWidget::axisRescale(), pappso::BasePlotWidget::calculateDragDeltas(), pappso::BasePlotWidget::dragDirection(), pappso::BasePlotWidget::isVerticalDisplacementAboveThreshold(), pappso::BasePlotWidget::keyReleaseEvent(), pappso::BasePlotWidget::mousePressHandler(), pappso::BasePlotWidget::mouseReleaseHandlerRightButton(), operator=(), recordDragDirections(), toString(), pappso::BasePlotWidget::update1DSelectionRectangle(), pappso::BasePlotWidget::update2DSelectionRectangleSkewed(), and pappso::BasePlotWidget::update2DSelectionRectangleSquare().

## m_wasClickOnXAxis

bool pappso::BasePlotContext::m_wasClickOnXAxis = false

Definition at line 70 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), pappso::BasePlotWidget::axisRescale(), pappso::BaseTracePlotWidget::axisRescale(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerLeftButtonDraggingCursor(), pappso::BasePlotWidget::mousePressHandler(), pappso::BasePlotWidget::mouseReleaseHandlerLeftButton(), operator=(), and toString().

## m_wasClickOnYAxis

bool pappso::BasePlotContext::m_wasClickOnYAxis = false

Definition at line 71 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor(), pappso::BasePlotWidget::mouseMoveHandlerLeftButtonDraggingCursor(), pappso::BasePlotWidget::mousePressHandler(), pappso::BasePlotWidget::mouseReleaseHandlerLeftButton(), operator=(), and toString().

## m_wasMouseDragging

bool pappso::BasePlotContext::m_wasMouseDragging = false

Definition at line 47 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::mouseReleaseHandler(), operator=(), and toString().

## m_wassKeyBoardDragging

bool pappso::BasePlotContext::m_wassKeyBoardDragging = false

Definition at line 52 of file baseplotcontext.h.

Referenced by BasePlotContext(), and operator=().

## m_xDelta

double pappso::BasePlotContext::m_xDelta = 0

Definition at line 87 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), pappso::BasePlotWidget::calculateDragDeltas(), pappso::MassSpecTracePlotWidget::computeResolvingPower(), pappso::MassSpecTracePlotWidget::deconvolute(), pappso::MassSpecTracePlotWidget::deconvoluteIsotopicCluster(), pappso::BasePlotWidget::drawXDeltaFeatures(), operator=(), and toString().

## m_xRange

QCPRange pappso::BasePlotContext::m_xRange

Definition at line 63 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), operator=(), toString(), and pappso::BasePlotWidget::updateContextXandYAxisRanges().

## m_xRegionRangeEnd

double pappso::BasePlotContext::m_xRegionRangeEnd = std::numeric_limits<double>::min()

Definition at line 82 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisReframe(), pappso::BaseTracePlotWidget::axisReframe(), pappso::BasePlotWidget::axisZoom(), pappso::BaseTracePlotWidget::axisZoom(), pappso::MassSpecTracePlotWidget::computeResolvingPower(), pappso::MassSpecTracePlotWidget::deconvoluteChargedState(), pappso::MassSpecTracePlotWidget::deconvoluteIsotopicCluster(), operator=(), toString(), and pappso::BasePlotWidget::updateSelectionRectangle().

## m_xRegionRangeStart

double pappso::BasePlotContext::m_xRegionRangeStart = std::numeric_limits<double>::min()

Definition at line 81 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisReframe(), pappso::BaseTracePlotWidget::axisReframe(), pappso::BasePlotWidget::axisZoom(), pappso::BaseTracePlotWidget::axisZoom(), pappso::MassSpecTracePlotWidget::computeResolvingPower(), pappso::MassSpecTracePlotWidget::deconvoluteChargedState(), pappso::MassSpecTracePlotWidget::deconvoluteIsotopicCluster(), operator=(), toString(), and pappso::BasePlotWidget::updateSelectionRectangle().

## m_yDelta

double pappso::BasePlotContext::m_yDelta = 0

Definition at line 88 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), pappso::BasePlotWidget::calculateDragDeltas(), pappso::BasePlotWidget::drawYDeltaFeatures(), operator=(), and toString().

## m_yRange

QCPRange pappso::BasePlotContext::m_yRange

Definition at line 64 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisPan(), pappso::BaseTracePlotWidget::axisPan(), operator=(), toString(), and pappso::BasePlotWidget::updateContextXandYAxisRanges().

## m_yRegionRangeEnd

double pappso::BasePlotContext::m_yRegionRangeEnd = std::numeric_limits<double>::min()

Definition at line 85 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisReframe(), pappso::BaseTracePlotWidget::axisReframe(), pappso::BasePlotWidget::axisZoom(), pappso::BaseTracePlotWidget::axisZoom(), operator=(), toString(), and pappso::BasePlotWidget::updateSelectionRectangle().

## m_yRegionRangeStart

double pappso::BasePlotContext::m_yRegionRangeStart = std::numeric_limits<double>::min()

Definition at line 84 of file baseplotcontext.h.

Referenced by BasePlotContext(), pappso::BasePlotWidget::axisReframe(), pappso::BaseTracePlotWidget::axisReframe(), pappso::BasePlotWidget::axisZoom(), pappso::BaseTracePlotWidget::axisZoom(), operator=(), toString(), and pappso::BasePlotWidget::updateSelectionRectangle().

The documentation for this class was generated from the following files:

- pappsomspp/widget/plotwidget/baseplotcontext.h
- pappsomspp/widget/plotwidget/baseplotcontext.cpp